"standard.cancel" = "Cancel";
"standard.action.label" = "Action";
"standard.action.tooltip" = "Perform tasks with the selected item";

"standard.toolbar.hide.title" = "Hide Toolbar";
"standard.toolbar.show.title" = "Show Toolbar";
"standard.toolbar.mode.icon-and-label" = "Icon and Text";
"standard.toolbar.mode.icon-only" = "Icon Only";


// Global
"app.menu.view.toggle-toolbar.key-equivalent" = "command |";
"app.menu.view.show-navigator.title" = "Show Tools";
"app.menu.view.hide-navigator.title" = "Hide Tools";
"app.menu.preview.show-preview.title" = "Show Web Preview";
"app.menu.preview.open-new-preview.title" = "New Web Preview";

"app.decide.should-empty-caches.message" = "Are you sure you want to empty all caches?";
"app.decide.should-empty-caches.message-info" = "Espresso stores the contents of Web Previews and more into a cache, to improve performance when loading pages and using the application.";
"app.decide.should-empty-caches.button.continue" = "Empty";
"app.decide.should-empty-caches.button.cancel" = "@alias standard.cancel";

"app.decide.should-quit-ignoring-transfer.title" = "Transfers are in progress.";
"app.decide.should-quit-ignoring-transfer.title (transfers-count:%@)" = "%@ transfers are in progress.";
"app.decide.should-quit-ignoring-transfer.message" = "Are you sure you want to quit? Espresso is currently transferring files. If you quit now, these files may be damaged or lost.";
"app.decide.should-quit-ignoring-transfer.message (transfers-count:%@)" = "";
"app.decide.should-quit-ignoring-transfer.button.cancel.title" = "Don't Quit";
"app.decide.should-quit-ignoring-transfer.button.proceed.title" = "Quit";


// Project window
"project.window.title(document:%@ - project:%@)" = "%@ — %@";


// Project sidebar
"project.sidebar.workspace.title" = "WORKSPACE";
"project.sidebar.workspace.placeholder-no-tabs" = "Drop or double-click files to open them in tabs here.";
"project.sidebar.workspace.tabs.menu.reveal-in-project.title" = "Show in Project Files";

"project.sidebar.search.title" = "FIND + REPLACE";
"project.sidebar.search-results.title" = "SEARCH RESULTS";

"project.sidebar.files.title" = "PROJECT FILES";
"project.sidebar.files.placeholder-requesting-directory" = "Loading…";
"project.sidebar.files.placeholder-empty-directory" = "There are currently no files in this project.";
"project.sidebar.files.placeholder-searching" = "Searching…";
"project.sidebar.files.placeholder-no-search-results" = "No matching files were found.";
"project.sidebar.files.action.tooltip" = "@alias standard.action.tooltip";
"project.sidebar.files.filter.tooltip" = "Quick Filter by name";
"project.sidebar.files.clear-search.tooltip" = "Clear the search results";
"project.sidebar.files.clear-or-change-search.tooltip" = "Click to clear the search results; Option-click to change the search criteria";
"project.sidebar.files.open-in-workspace.title" = "Open in Workspace";

"project.sidebar.publish.title" = "PUBLISH";
"project.sidebar.publish.placeholder-no-servers" = "Add publish servers in the project settings.";


// Project toolbar
"project.toolbar.switcher.label" = "Project";
"project.toolbar.switcher.label-customize" = "Project View";
"project.toolbar.switcher.tooltip" = "Show the Workspace or Find in Project";

"project.toolbar.new.label" = "New";
"project.toolbar.new.label-customize" = "New in Project";
"project.toolbar.new.tooltip" = "Add new items to the Workspace or to the project";

"project.toolbar.settings.label" = "Settings";
"project.toolbar.settings.label-customize" = "Project Settings";
"project.toolbar.settings.tooltip" = "Edit the project settings";


// Project Settings
"project.settings.title" = "Project Settings";

"project.settings.decide.should-save-changes.message (project-name:%@)" = "Do you want to save the changes you made to “%@”?";
"project.settings.decide.should-save-changes.message-info" = "Changed settings will be lost if you don’t save them.";
"project.settings.decide.should-save-changes.button.save" = "Save Settings";
"project.settings.decide.should-save-changes.button.discard" = "Don't Save";


// Project Settings: Servers
"project.settings.publish-servers.title" = "Servers + Sync";

"project.settings.decide.should-remove-server.message (server:%@)" = "Are you sure you want to remove the server “%@”?";
"project.settings.decide.should-remove-server.message-info" = "You can’t undo this action.";
"project.settings.decide.should-remove-server.button.delete" = "Remove Server";


// Project Settings: Non-persistent Project (e.g. folder dragged to Dock)
"project.settings.non-persistent-project.title" = "Make a new Project to change settings…";


// Project Find and Replace
"project.find-replace.decide.should-replace.title.one (search:%@ replace:%@)" 
	= "Are you sure you want to replace one occurrence of %@ with %@?";
"project.find-replace.decide.should-replace.title.multiple (found-count:%@ search:%@ replace:%@)" 
	= "Are you sure you want to replace all %@ occurrences of %@ with %@?";
"project.find-replace.decide.should-replace.title.selected-one (found-count:%@ search:%@ replace:%@)" 
	= "Are you sure you want to replace 1 selected occurrence (out of %@ found) of %@ with %@?";
"project.find-replace.decide.should-replace.title.selected-multiple (selected-count:%@ found-count:%@ search:%@ replace:%@)" 
	= "Are you sure you want to replace %@ selected occurrences (out of %@ found) of %@ with %@?";

"project.find-replace.decide.should-replace.message" 
	= "Modified documents will be saved immediately or added to the Workspace. You can't undo changes to documents unless they are added to the Workspace.";

"project.find-replace.decide.should-replace.fragment.search-string (string:%@)" = "“%@”";
"project.find-replace.decide.should-replace.fragment.replace-string (string:%@)" = "“%@”";
"project.find-replace.decide.should-replace.fragment.search-regex" = "the regular expression";
"project.find-replace.decide.should-replace.fragment.replace-regex" = "the replacement expression";
"project.find-replace.decide.should-replace.fragment.truncated (prefix:%@ suffix:%@)" = "%@…%@";

"project.find-replace.decide.should-replace.button.replace-all.title" = "Replace All";
"project.find-replace.decide.should-replace.button.replace-selected.title" = "Replace";
"project.find-replace.decide.should-replace.button.cancel.title" = "@alias standard.cancel";


// Document
"text-editor.sidebar.navigator.title" = "NAVIGATOR";

"text-editor.toolbar.action.label" = "@alias standard.action.label";
"text-editor.toolbar.action.tooltip" = "Perform tasks with the selected text";

"text-editor.toolbar.tools.label" = "   Tools"; // Unicode: thin space + 2x hair space, approx 5px
"text-editor.toolbar.tools.tooltip" = "Hide or show the Navigator and Tools";


// Code folding
"text-editor.folding-actions.fold-selection.title" = "Fold";
"text-editor.folding-actions.unfold-selection.title" = "Unfold";
"text-editor.folding-actions.unfold-all.title" = "Unfold All";


// Server bookmarks
"server-bookmark.untitled" = "untitled server";


// Server browser + sync
"server.toolbar.view.label" = "Sync or Browse";
"server.toolbar.view.tooltip" = "Sync with the server; browse items in a list or in columns";
"server.toolbar.filter.label" = "Search";

"server.status.connecting (server:%@)" = "Connecting to %@…";
"server.status.authenticating" = "Authenticating…";


// Server browser
"server-browser.toolbar.action.placeholder-not-connected" = "Not Connected";
"server-browser.toolbar.action.label" = "@alias standard.action.label";
"server-browser.toolbar.action.tooltip" = "@alias standard.action.tooltip";

"server-browser.columns.name.title" = "Name";
"server-browser.columns.name.size" = "Size";
"server-browser.columns.name.date-modified" = "Date Modified";

"server-browser.sidebar.general.title" = "General";
"server-browser.sidebar.permissions.title" = "Permissions";
"server-browser.sidebar.activity.title" = "Activity";

"server-browser.status.disconnected" = "Not connected.";
"server-browser.status.requesting-initial-directory" = "Requesting initial directory…";
"server-browser.status.connected" = "Connect.";

// Server browser toolbar start button
"server-browser.connect.title" = "Browse…";


// Server sync
"server-sync.toolbar.action.label" = "@alias standard.action.label";
"server-sync.toolbar.action.tooltip" = "@alias standard.action.tooltip";

"server-sync.choose-mode.update.title" = "Sync Changes to Server";
"server-sync.choose-mode.download.title" = "Download Changes from Server";
"server-sync.choose-mode.merge.title" = "Merge Server and Project";
"server-sync.choose-mode.settings.title" = "Settings";
"server-sync.settings.detection-mode.header.title" = "Detect Changes:";
"server-sync.settings.detection-mode.automatic.title" = "Automatically";
"server-sync.settings.detection-mode.using-size.title" = "Using File Size";
"server-sync.settings.detection-mode.using-modification-date.title" = "Using Modification Date";
"server-sync.settings.server-time.clear.title" = "Clear Detected Server Time";

"server-sync.server-time.about-the-same" = "Server time is about the same";
"server-sync.server-time.ahead (%@)" = "Server time is %@ ahead";
"server-sync.server-time.behind (%@)" = "Server time is %@ behind";

"server-sync.time-interval-delimiter" = ", ";
"server-sync.time-interval-minute (1)" = "1 minute";
"server-sync.time-interval-minutes (%@)" = "%@ minutes";
"server-sync.time-interval-hour (1)" = "1 hour";
"server-sync.time-interval-hours (%@)" = "%@ hours";
"server-sync.time-interval-day (1)" = "1 day";
"server-sync.time-interval-days (%@)" = "%@ days";

"server-sync.start-review.title" = "Sync…";
"server-sync.start-operations.title" = "Sync";
"server-sync.done.title" = "Done";

"server-sync.operation.skip" = "Skip";
"server-sync.operation.always-skip" = "Always Skip";

"server-sync.operation.copy-a-to-b" = "Upload";
"server-sync.operation.copy-a-to-b.in-progress" = "Uploading…";
"server-sync.operation.copy-a-to-b.finished" = "Uploaded";
"server-sync.operation.copy-a-to-b.failed" = "Couldn't upload";

"server-sync.operation.copy-b-to-a" = "Download";
"server-sync.operation.copy-b-to-a.in-progress" = "Downloading…";
"server-sync.operation.copy-b-to-a.finished" = "Downloaded";
"server-sync.operation.copy-b-to-a.failed" = "Couldn't download";

"server-sync.operation.remove-a" = "Delete in Project";
"server-sync.operation.remove-a.in-progress" = "Deleting…";
"server-sync.operation.remove-a.finished" = "Deleted";
"server-sync.operation.remove-a.failed" = "Couldn't delete";

"server-sync.operation.remove-b" = "Delete on Server";
"server-sync.operation.remove-b.in-progress" = "Deleting…";
"server-sync.operation.remove-b.finished" = "Deleted";
"server-sync.operation.remove-b.failed" = "Couldn't delete";

"server-sync.operation.waiting" = "Waiting…";

// Server sync action menu
"server-sync.actions.diff.title" = "Show Difference";
"server-sync.action-categories.assign-operation.title" = "Choose Action:";
"server-sync.actions.assign-operation.skip.title" = "@alias server-sync.operation.skip";
"server-sync.actions.assign-operation.always-skip.title" = "@alias server-sync.operation.always-skip";
"server-sync.actions.assign-operation.copy-a-to-b.title" = "@alias server-sync.operation.copy-a-to-b";
"server-sync.actions.assign-operation.copy-b-to-a.title" = "@alias server-sync.operation.copy-b-to-a";
"server-sync.actions.assign-operation.remove-a.title" = "@alias server-sync.operation.remove-a";
"server-sync.actions.assign-operation.remove-b.title" = "@alias server-sync.operation.remove-b";
"server-sync.actions.clear-all-operations.title" = "Clear All Actions";

// Server sync status while connecting/reviewing
"server-sync.status.disconnected" = "Keep your project and server in sync. Nothing will be published until you've reviewed the proposed changes.";
"server.status.detecting-time" = "Detecting server time…";
"server-sync.status.reviewing-folders" = "Reviewing changes…";
"server-sync.status.reviewing-folders (reviewed-count:%@ found-count:%@)" = "Reviewed changes for %@ of %@ folders…";

// Server sync toolbar start button
"server-sync.button.preview-sync-actions.title" = "Sync…";


// Image preview
"image-viewer.toolbar.zoom-controls.label" = "Zoom";
"image-viewer.toolbar.zoom-controls.tooltip" = "";

"image-viewer.toolbar.zoom-to-fit.label" = "Zoom to Fit";
"image-viewer.toolbar.zoom-to-fit.tooltip" = "";


// Web Preview
"web-preview.error.cannot-preview-untitled-document" = "Do you want to save this document?";
"web-preview.error.cannot-preview-untitled-document.message" = "You need to save the document before it can be shown in a Web Preview.";
"web-preview.error.cannot-preview-untitled-document.button.save.title" = "Save and Preview…";

"web-preview.error.cannot-preview-remote-document" = "Can't preview remote documents directly.";
"web-preview.error.cannot-preview-remote-document.message" = "Open a new Web Preview and enter the website URL of the page.";
"web-preview.error.cannot-preview-remote-document.button.open-new-preview.title" = "New Web Preview";

"web-preview.xray.inspector.click-to-open" = "Click to open.";
"web-preview.xray.inspector.click-to-extract-or-override" = "Click to extract or override.";


// Preview: Style Sheets Menu
"Edit Style Sheet:" = "Edit Style Sheet:";
"Edit Style Sheets:" = "Edit Style Sheets:";
" (overridden by %@)" = " (overridden by “%@”)"; // File name format if the file was overridden
" - %@" = " — %@"; // Appended after the file name: path to the style sheet
"Manage Style Sheet Overrides..." = "Manage Style Sheet Overrides…";

// Override HUD
"%@ -- %@" = "%@ — %@";
"> %@ (overridden)" = "↪ %@ (overridden)";
